/* -*- Mode: C; indent-tabs-mode:nil; c-basic-offset: 8-*- */

/*
 *This file is part of MlView.
 *
 *MlView is free software; you can redistribute
 *it and/or modify it under the terms of
 *the GNU General Public License as published by the
 *Free Software Foundation; either version 2,
 *or (at your option) any later version.
 *
 *GNU MlView is distributed in the hope that it will
 *be useful, but WITHOUT ANY WARRANTY;
 *without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *See the GNU General Public License for more details.
 *
 *You should have received a copy of the
 *GNU General Public License along with MlView;
 *see the file COPYING.
 *If not, write to the Free Software Foundation,
 *Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *See COPYRIGHT file for copyright information.
 */

#ifndef __MLVIEW_COMPLETION_MODELS_H__
#define __MLVIEW_COMPLETION_MODELS_H__

#include <gtk/gtk.h>

/**
 *@file
 *Some helpers to build #MlViewICompletionWidget implementations
 *based on four GtkTreeView (header).
 */

G_BEGIN_DECLS

typedef struct _MlViewCompletionModels MlViewCompletionModels;
typedef struct _MlViewCompletionViews MlViewCompletionViews;

struct
_MlViewCompletionModels {
        GObject *ptr;
        
        GtkTreeModel *feasible_children;
        GtkTreeModel *feasible_prev_siblings;
        GtkTreeModel *feasible_next_siblings;
        GtkTreeModel *feasible_attributes;

        GtkTreeSelection *feasible_children_selection;
        GtkTreeSelection *feasible_prev_siblings_selection;
        GtkTreeSelection *feasible_next_siblings_selection;
        GtkTreeSelection *feasible_attributes_selection;
};

struct
_MlViewCompletionViews {
        GtkWidget *feasible_children;
        GtkWidget *feasible_prev_siblings;
        GtkWidget *feasible_next_siblings;
        GtkWidget *feasible_attributes;
};

void mlview_completion_views_create (GObject *ptr, MlViewCompletionModels *a_models, 
                                     MlViewCompletionViews *a_views);
void mlview_completion_views_update_attributes_list (MlViewCompletionModels *a_models, GList *a_list);
void mlview_completion_views_update_prev_siblings_list (MlViewCompletionModels *a_models, GList *a_list);
void mlview_completion_views_update_next_siblings_list (MlViewCompletionModels *a_models, GList *a_list);
void mlview_completion_views_update_children_list (MlViewCompletionModels *a_models, GList *a_list);

G_END_DECLS

#endif
