/*
 *This file is part of MlView.
 *
 *MlView is free software; you can redistribute 
 *it and/or modify it under the terms of 
 *the GNU General Public License as published by the 
 *Free Software Foundation; either version 2, 
 *or (at your option) any later version.
 *
 *GNU MlView is distributed in the hope that it will 
 *be useful, but WITHOUT ANY WARRANTY; 
 *without even the implied warranty of 
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *See the GNU General Public License for more details.
 *
 *You should have received a copy of the 
 *GNU General Public License along with MlView; 
 *see the file COPYING. 
 *If not, write to the Free Software Foundation, 
 *Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *See COPYRIGHT file for copyright information.
 */

#ifndef __MLVIEW_COMPLETION_NOTEBOOK_H__
#define __MLVIEW_COMPLETION_NOTEBOOK_H__

#include <gtk/gtk.h>

/**
 *@file
 *The declaration of the #MlViewCompletionNotebook class.
 */

G_BEGIN_DECLS

#define MLVIEW_TYPE_COMPLETION_NOTEBOOK (mlview_completion_notebook_get_type())
#define MLVIEW_COMPLETION_NOTEBOOK(object) (GTK_CHECK_CAST((object), MLVIEW_TYPE_COMPLETION_NOTEBOOK, MlViewCompletionNotebook))
#define MLVIEW_COMPLETION_NOTEBOOK_CLASS(klass) (GTK_CHECK_CLASS_CAST((klass), MLVIEW_TYPE_COMPLETION_NOTEBOOK, MlViewCompletionNotebookClass))
#define MLVIEW_IS_COMPLETION_NOTEBOOK(object) (GTK_CHECK_TYPE((object), MLVIEW_TYPE_COMPLETION_NOTEBOOK))
#define MLVIEW_IS_COMPLETION_NOTEBOOK_CLASS(klass) (GTK_CHECK_CLASS_TYPE((klass), MLVIEW_TYPE_COMPLETION_NOTEBOOK))

typedef struct _MlViewCompletionNotebookPrivate MlViewCompletionNotebookPrivate;
typedef struct _MlViewCompletionNotebook MlViewCompletionNotebook;
typedef struct _MlViewCompletionNotebookClass MlViewCompletionNotebookClass;

struct
_MlViewCompletionNotebook {
  GtkNotebook parent;
  MlViewCompletionNotebookPrivate *priv;
};

struct
_MlViewCompletionNotebookClass {
  GtkNotebookClass parent;
};

GType mlview_completion_notebook_get_type (void);

G_END_DECLS

#endif
