/* -*- Mode: C; indent-tabs-mode:nil; c-basic-offset: 8-*- */

/*
 *This file is part of MlView.
 *
 *MlView is free software; you can redistribute 
 *it and/or modify it under the terms of 
 *the GNU General Public License as published by the 
 *Free Software Foundation; either version 2, 
 *or (at your option) any later version.
 *
 *GNU MlView is distributed in the hope that it will 
 *be useful, but WITHOUT ANY WARRANTY; 
 *without even the implied warranty of 
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *See the GNU General Public License for more details.
 *
 *You should have received a copy of the 
 *GNU General Public License along with MlView; 
 *see the file COPYING. 
 *If not, write to the Free Software Foundation, 
 *Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *See COPYRIGHT file for copyright information.
 */

#ifndef __MLVIEW_ICOMPLETION_WIDGET_H__
#define __MLVIEW_ICOMPLETION_WIDGET_H__

#include <gtk/gtk.h>

/**
 *@file
 *The declaration of the #MlViewICompletionWidget interface.
 */
G_BEGIN_DECLS

#define MLVIEW_TYPE_ICOMPLETION_WIDGET (mlview_icompletion_widget_get_type ())
#define MLVIEW_ICOMPLETION_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MLVIEW_TYPE_ICOMPLETION_WIDGET, MlViewICompletionWidget))
#define MLVIEW_ICOMPLETION_WIDGET_IFACE(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MLVIEW_TYPE_ICOMPLETION_WIDGET, MlViewICompletionWidget))
#define MLVIEW_IS_ICOMPLETION_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MLVIEW_TYPE_ICOMPLETION_WIDGET))
#define MLVIEW_ICOMPLETION_WIDGET_GET_IFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), MLVIEW_TYPE_ICOMPLETION_WIDGET, MlViewICompletionWidget))

typedef struct _MlViewICompletionWidget MlViewICompletionWidget;

/**
 *The base interface of the completion
 *widgets used by the #MlViewTreeView 
 *view.
 */
struct _MlViewICompletionWidget {
        void (*update_feasible_attributes_list) (MlViewICompletionWidget *a_widget, GList *a_list);
        void (*update_feasible_next_siblings_list) (MlViewICompletionWidget *a_widget, GList *a_list);
        void (*update_feasible_prev_siblings_list) (MlViewICompletionWidget *a_widget, GList *a_list);
        void (*update_feasible_children_list) (MlViewICompletionWidget *a_widget, GList *a_list);
};

GType mlview_icompletion_widget_get_type (void);

void mlview_icompletion_widget_update_feasible_attributes_list (MlViewICompletionWidget *a_widget,
								GList *a_list);
void mlview_icompletion_widget_update_feasible_next_siblings_list (MlViewICompletionWidget *a_widget,
								   GList *a_list);
void mlview_icompletion_widget_update_feasible_prev_siblings_list (MlViewICompletionWidget *a_widget,
								   GList *a_list);
void mlview_icompletion_widget_update_feasible_children_list (MlViewICompletionWidget *a_widget,
							      GList *a_list);
void mlview_icompletion_widget_clear_lists (MlViewICompletionWidget *a_widget);

G_END_DECLS

#endif
